/* 1. Buttons in General */

/* 1.1. Basic Buttons */
/* 1.1.1 Links in Basic Buttons */
.wp-block-button.is-style-text-basic > .wp-block-button__link,
.wp-block-button.is-style-text-basic > .wp-block-button__link:link {
    color:var(--wp--preset--color--text);
    background-color: transparent;
}
/* 1.1.2 Hover Effect in Basic Buttons */
.wp-block-button.is-style-text-basic > .wp-block-button__link:hover,
.wp-block-button.is-style-text-basic > .wp-block-button__link:focus,
.wp-block-button.is-style-text-basic > .wp-block-button__link:visited {
    background-color:light-dark(#f7f7f7, #00416E);
}

/* 1.2. CTA  Buttons */
/* 1.2.1 Links in CTA Buttons */
.wp-block-button.is-style-text-cta > .wp-block-button__link,
.wp-block-button.is-style-text-cta > .wp-block-button__link:link {
    color:var(--wp--preset--color--text);
    background-color: transparent;
}
/* 1.2.2 Hover Effect in Basic Buttons */
.wp-block-button.is-style-text-cta > .wp-block-button__link:hover,
.wp-block-button.is-style-text-cta > .wp-block-button__link:focus,
.wp-block-button.is-style-text-cta > .wp-block-button__link:visited {
    background-color:transparent;
}

/* 1.3. Unobstrusive  Buttons */
/* 1.3.1 Links in Unobstrusive Buttons */
.wp-block-button.is-style-unobtrusive > .wp-block-button__link,
.wp-block-button.is-style-unobtrusive > .wp-block-button__link:link {
    color:var(--wp--preset--color--corporate-blue-darker);
    background-color: transparent;

}

/* 1.3.2 Hover Effect in Unobstrusive Buttons */
.wp-block-button.is-style-unobtrusive > .wp-block-button__link:hover,
.wp-block-button.is-style-unobtrusive > .wp-block-button__link:focus,
.wp-block-button.is-style-unobtrusive > .wp-block-button__link:visited {
    color:var(--wp--preset--color--corporate-blue-darker, inherit);
    text-decoration: underline;
}



/* 2 Corporate Secton Adjustments for Buttons */

/* 2.1 Dark Mode for Button Basic */
.is-style-section-corporate .wp-block-button.is-style-text-basic .wp-block-button__link,
.is-style-section-corporate .wp-block-button.is-style-text-basic .wp-block-button__link:link {
    background-color: transparent;
    color:light-dark(#F7F7F7, #FFFFFF);
    border-color: #F7F7F7;
}

.is-style-section-corporate .wp-block-button.is-style-text-basic .wp-block-button__link:hover {
    color: var(--wp--preset--color--corporate-blue-darker);
    background-color:#F7F7F7;
}


/* 2.2. Dark Mode for CTA Button */
.is-style-section-corporate .wp-block-button.is-style-text-cta .wp-block-button__link,
.is-style-section-corporate .wp-block-button.is-style-text-cta .wp-block-button__link:link {
    color:#F7F7F7;
}

.is-style-section-corporate .wp-block-button.is-style-text-cta .wp-block-button__link:hover {
    color:white;
    background-color: transparent;
}

/* 2.3. Dark Mode for CTA Button */
.is-style-section-corporate .wp-block-button.is-style-unobtrusive .wp-block-button__link,
.is-style-section-corporate .wp-block-button.is-style-unobtrusive .wp-block-button__link:link {
    color:#f7f7f7;
}

.is-style-section-corporate .wp-block-button.is-style-unobtrusive .wp-block-button__link:hover {
    background-color: transparent;
}

